!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 174

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1256)
  integer, parameter :: nGC_9263 = 1
  integer, parameter :: nGC_9153 = 2
  integer, parameter :: nGC_68 = 3
  integer, parameter :: nGC_206 = 4
  integer, parameter :: nGC_HHH = 5
  integer, parameter :: nGC_101 = 6
  integer, parameter :: nGC_9107 = 7
  integer, parameter :: nGC_MZ_GF = 8
  integer, parameter :: nGC_9102 = 9
  integer, parameter :: nGC_28 = 10
  integer, parameter :: nGC_29 = 11
  integer, parameter :: nGC_9687 = 12
  integer, parameter :: nGC_9686 = 13
  integer, parameter :: nGC_9685 = 14
  integer, parameter :: nGC_22 = 15
  integer, parameter :: nGC_23 = 16
  integer, parameter :: nGC_20 = 17
  integer, parameter :: nGC_21 = 18
  integer, parameter :: nGC_26 = 19
  integer, parameter :: nGC_27 = 20
  integer, parameter :: nGC_24 = 21
  integer, parameter :: nGC_25 = 22
  integer, parameter :: nGC_150 = 23
  integer, parameter :: nGC_9272 = 24
  integer, parameter :: nGC_93 = 25
  integer, parameter :: nGC_9271 = 26
  integer, parameter :: nGC_9276 = 27
  integer, parameter :: nGC_9277 = 28
  integer, parameter :: nGC_92 = 29
  integer, parameter :: nGC_GG = 30
  integer, parameter :: nGC_43 = 31
  integer, parameter :: nGC_9074 = 32
  integer, parameter :: nGC_90 = 33
  integer, parameter :: nGC_148 = 34
  integer, parameter :: nGC_9294 = 35
  integer, parameter :: nGC_9295 = 36
  integer, parameter :: nGC_9296 = 37
  integer, parameter :: nGC_9297 = 38
  integer, parameter :: nGC_9290 = 39
  integer, parameter :: nGC_9291 = 40
  integer, parameter :: nGC_9292 = 41
  integer, parameter :: nGC_9293 = 42
  integer, parameter :: nGC_118 = 43
  integer, parameter :: nGC_9196 = 44
  integer, parameter :: nGC_9193 = 45
  integer, parameter :: nGC_9750 = 46
  integer, parameter :: nGC_124 = 47
  integer, parameter :: nGC_125 = 48
  integer, parameter :: nGC_122 = 49
  integer, parameter :: nGC_123 = 50
  integer, parameter :: nGC_120 = 51
  integer, parameter :: nGC_9756 = 52
  integer, parameter :: nGC_14785 = 53
  integer, parameter :: nGC_9758 = 54
  integer, parameter :: nGC_128 = 55
  integer, parameter :: nGC_129 = 56
  integer, parameter :: nGC_9106 = 57
  integer, parameter :: nGC_MMW_GF = 58
  integer, parameter :: nGC_8352 = 59
  integer, parameter :: nGC_8356 = 60
  integer, parameter :: nGC_8354 = 61
  integer, parameter :: nGC_75 = 62
  integer, parameter :: nGC_9104 = 63
  integer, parameter :: nGC_9105 = 64
  integer, parameter :: nGC_9100 = 65
  integer, parameter :: nGC_9101 = 66
  integer, parameter :: nGC_9103 = 67
  integer, parameter :: nGC_9108 = 68
  integer, parameter :: nGC_97 = 69
  integer, parameter :: nGC_GGH = 70
  integer, parameter :: nGC_141 = 71
  integer, parameter :: nGC_I = 72
  integer, parameter :: nGC_69 = 73
  integer, parameter :: nGC_140 = 74
  integer, parameter :: nGC_9765 = 75
  integer, parameter :: nGC_65 = 76
  integer, parameter :: nGC_9761 = 77
  integer, parameter :: nGC_9221 = 78
  integer, parameter :: nGC_9763 = 79
  integer, parameter :: nGC_9088 = 80
  integer, parameter :: nGC_3 = 81
  integer, parameter :: nGC_2 = 82
  integer, parameter :: nGC_1 = 83
  integer, parameter :: nGC_7 = 84
  integer, parameter :: nGC_6 = 85
  integer, parameter :: nGC_5 = 86
  integer, parameter :: nGC_4 = 87
  integer, parameter :: nGC_9 = 88
  integer, parameter :: nGC_8 = 89
  integer, parameter :: nGC_48 = 90
  integer, parameter :: nGC_49 = 91
  integer, parameter :: nGC_MI = 92
  integer, parameter :: nGC_53 = 93
  integer, parameter :: nGC_52 = 94
  integer, parameter :: nGC_51 = 95
  integer, parameter :: nGC_50 = 96
  integer, parameter :: nGC_57 = 97
  integer, parameter :: nGC_56 = 98
  integer, parameter :: nGC_55 = 99
  integer, parameter :: nGC_54 = 100
  integer, parameter :: nGC_59 = 101
  integer, parameter :: nGC_58 = 102
  integer, parameter :: nGC_16300 = 103
  integer, parameter :: nGC_9249 = 104
  integer, parameter :: nGC_9248 = 105
  integer, parameter :: nGC_41 = 106
  integer, parameter :: nGC_9328 = 107
  integer, parameter :: nGC_9082 = 108
  integer, parameter :: nGC_9754 = 109
  integer, parameter :: nGC_9251 = 110
  integer, parameter :: nGC_9195 = 111
  integer, parameter :: nGC_9253 = 112
  integer, parameter :: nGC_9220 = 113
  integer, parameter :: nGC_MD = 114
  integer, parameter :: nGC_9757 = 115
  integer, parameter :: nGC_18339 = 116
  integer, parameter :: nGC_9661 = 117
  integer, parameter :: nGC_9663 = 118
  integer, parameter :: nGC_9662 = 119
  integer, parameter :: nGC_9665 = 120
  integer, parameter :: nGC_9664 = 121
  integer, parameter :: nGC_9666 = 122
  integer, parameter :: nGC_9669 = 123
  integer, parameter :: nGC_9145 = 124
  integer, parameter :: nGC_9146 = 125
  integer, parameter :: nGC_9147 = 126
  integer, parameter :: nGC_14256 = 127
  integer, parameter :: nGC_14255 = 128
  integer, parameter :: nGC_14254 = 129
  integer, parameter :: nGC_14253 = 130
  integer, parameter :: nGC_14252 = 131
  integer, parameter :: nGC_14251 = 132
  integer, parameter :: nGC_9304 = 133
  integer, parameter :: nGC_14258 = 134
  integer, parameter :: nGC_127 = 135
  integer, parameter :: nGC_9252 = 136
  integer, parameter :: nGC_9759 = 137
  integer, parameter :: nGC_9092 = 138
  integer, parameter :: nGC_9093 = 139
  integer, parameter :: nGC_MU = 140
  integer, parameter :: nGC_18918 = 141
  integer, parameter :: nGC_MT = 142
  integer, parameter :: nGC_16282 = 143
  integer, parameter :: nGC_16281 = 144
  integer, parameter :: nGC_19989 = 145
  integer, parameter :: nGC_9095 = 146
  integer, parameter :: nGC_9312 = 147
  integer, parameter :: nGC_9194 = 148
  integer, parameter :: nGC_14910 = 149
  integer, parameter :: nGC_14913 = 150
  integer, parameter :: nGC_96 = 151
  integer, parameter :: nGC_46 = 152
  integer, parameter :: nGC_266 = 153
  integer, parameter :: nGC_17 = 154
  integer, parameter :: nGC_16 = 155
  integer, parameter :: nGC_15 = 156
  integer, parameter :: nGC_14 = 157
  integer, parameter :: nGC_13 = 158
  integer, parameter :: nGC_12 = 159
  integer, parameter :: nGC_11 = 160
  integer, parameter :: nGC_10 = 161
  integer, parameter :: nGC_520 = 162
  integer, parameter :: nGC_19 = 163
  integer, parameter :: nGC_18 = 164
  integer, parameter :: nGC_9693 = 165
  integer, parameter :: nGC_9363 = 166
  integer, parameter :: nGC_9366 = 167
  integer, parameter :: nGC_9109 = 168
  integer, parameter :: nGC_9111 = 169
  integer, parameter :: nGC_14579 = 170
  integer, parameter :: nGC_730 = 171
  integer, parameter :: nGC_9720 = 172
  integer, parameter :: nGC_16278 = 173
  integer, parameter :: nGC_16277 = 174
  integer, parameter :: nGC_16276 = 175
  integer, parameter :: nGC_16275 = 176
  integer, parameter :: nGC_14172 = 177
  integer, parameter :: nGC_14176 = 178
  integer, parameter :: nGC_14174 = 179
  integer, parameter :: nGC_14175 = 180
  integer, parameter :: nGC_9184 = 181
  integer, parameter :: nGC_9185 = 182
  integer, parameter :: nGC_14178 = 183
  integer, parameter :: nGC_9181 = 184
  integer, parameter :: nGC_9183 = 185
  integer, parameter :: nGC_135 = 186
  integer, parameter :: nGC_134 = 187
  integer, parameter :: nGC_137 = 188
  integer, parameter :: nGC_136 = 189
  integer, parameter :: nGC_131 = 190
  integer, parameter :: nGC_130 = 191
  integer, parameter :: nGC_9748 = 192
  integer, parameter :: nGC_9749 = 193
  integer, parameter :: nGC_9746 = 194
  integer, parameter :: nGC_138 = 195
  integer, parameter :: nGC_84 = 196
  integer, parameter :: nGC_14192 = 197
  integer, parameter :: nGC_14193 = 198
  integer, parameter :: nGC_14194 = 199
  integer, parameter :: nGC_14195 = 200
  integer, parameter :: nGC_MH = 201
  integer, parameter :: nGC_111 = 202
  integer, parameter :: nGC_9131 = 203
  integer, parameter :: nGC_9130 = 204
  integer, parameter :: nGC_9133 = 205
  integer, parameter :: nGC_9135 = 206
  integer, parameter :: nGC_9134 = 207
  integer, parameter :: nGC_9137 = 208
  integer, parameter :: nGC_9136 = 209
  integer, parameter :: nGC_9138 = 210
  integer, parameter :: nGC_14518 = 211
  integer, parameter :: nGC_866 = 212
  integer, parameter :: nGC_9129 = 213
  integer, parameter :: nGC_116 = 214
  integer, parameter :: nGC_2178 = 215
  integer, parameter :: nGC_HHHH = 216
  integer, parameter :: nGC_9172 = 217
  integer, parameter :: nGC_9270 = 218
  integer, parameter :: nGC_14299 = 219
  integer, parameter :: nGC_9415 = 220
  integer, parameter :: nGC_9411 = 221
  integer, parameter :: nGC_70 = 222
  integer, parameter :: nGC_9419 = 223
  integer, parameter :: nGC_15056 = 224
  integer, parameter :: nGC_9381 = 225
  integer, parameter :: nGC_9676 = 226
  integer, parameter :: nGC_16331 = 227
  integer, parameter :: nGC_16334 = 228
  integer, parameter :: nGC_44 = 229
  integer, parameter :: nGC_45 = 230
  integer, parameter :: nGC_47 = 231
  integer, parameter :: nGC_40 = 232
  integer, parameter :: nGC_42 = 233
  integer, parameter :: nGC_14177 = 234
  integer, parameter :: nGC_9250 = 235
  integer, parameter :: nGC_9701 = 236
  integer, parameter :: nGC_9706 = 237
  integer, parameter :: nGC_9256 = 238
  integer, parameter :: nGC_9257 = 239
  integer, parameter :: nGC_9258 = 240
  integer, parameter :: nGC_9259 = 241
  integer, parameter :: nGC_9319 = 242
  integer, parameter :: nGC_9318 = 243
  integer, parameter :: nGC_17083 = 244
  integer, parameter :: nGC_9097 = 245
  integer, parameter :: nGC_9094 = 246
  integer, parameter :: nGC_17080 = 247
  integer, parameter :: nGC_9311 = 248
  integer, parameter :: nGC_9310 = 249
  integer, parameter :: nGC_9099 = 250
  integer, parameter :: nGC_174 = 251
  integer, parameter :: nGC_9317 = 252
  integer, parameter :: nGC_9316 = 253
  integer, parameter :: nGC_9187 = 254
  integer, parameter :: nGC_14578 = 255
  integer, parameter :: nGC_9175 = 256
  integer, parameter :: nGC_9174 = 257
  integer, parameter :: nGC_9177 = 258
  integer, parameter :: nGC_9176 = 259
  integer, parameter :: nGC_9171 = 260
  integer, parameter :: nGC_9170 = 261
  integer, parameter :: nGC_9173 = 262
  integer, parameter :: nGC_642 = 263
  integer, parameter :: nGC_9179 = 264
  integer, parameter :: nGC_9178 = 265
  integer, parameter :: nGC_18914 = 266
  integer, parameter :: nGC_18915 = 267
  integer, parameter :: nGC_21279 = 268
  integer, parameter :: nGC_9678 = 269
  integer, parameter :: nGC_9679 = 270
  integer, parameter :: nGC_9674 = 271
  integer, parameter :: nGC_9672 = 272
  integer, parameter :: nGC_18919 = 273
  integer, parameter :: nGC_9670 = 274
  integer, parameter :: nGC_9219 = 275
  integer, parameter :: nGC_9243 = 276
  integer, parameter :: nGC_14302 = 277
  integer, parameter :: nGC_132 = 278
  integer, parameter :: nGC_8370 = 279
  integer, parameter :: nGC_9240 = 280
  integer, parameter :: nGC_1016 = 281
  integer, parameter :: nGC_9246 = 282
  integer, parameter :: nGC_9245 = 283
  integer, parameter :: nGC_139 = 284
  integer, parameter :: nGC_9244 = 285
  integer, parameter :: nGC_9709 = 286
  integer, parameter :: nGC_GPGMGPGM = 287
  integer, parameter :: nGC_9189 = 288
  integer, parameter :: nGC_9739 = 289
  integer, parameter :: nGC_9689 = 290
  integer, parameter :: nGC_16975 = 291
  integer, parameter :: nGC_9727 = 292
  integer, parameter :: nGC_9084 = 293
  integer, parameter :: nGC_133 = 294
  integer, parameter :: nGC_9081 = 295
  integer, parameter :: nGC_9083 = 296
  integer, parameter :: nGC_1824 = 297
  integer, parameter :: nGC_9278 = 298
  integer, parameter :: nGC_21280 = 299
  integer, parameter :: nGC_9370 = 300
  integer, parameter :: nGC_9751 = 301
  integer, parameter :: nGC_9326 = 302
  integer, parameter :: nGC_9247 = 303
  integer, parameter :: nGC_9354 = 304
  integer, parameter :: nGC_9357 = 305
  integer, parameter :: nGC_9322 = 306
  integer, parameter :: nGC_99 = 307
  integer, parameter :: nGC_98 = 308
  integer, parameter :: nGC_95 = 309
  integer, parameter :: nGC_94 = 310
  integer, parameter :: nGC_91 = 311
  integer, parameter :: nGC_9587 = 312
  integer, parameter :: nGC_9378 = 313
  integer, parameter :: nGC_MW_GF = 314
  integer, parameter :: nGC_9186 = 315
  integer, parameter :: nGC_74 = 316
  integer, parameter :: nGC_77 = 317
  integer, parameter :: nGC_76 = 318
  integer, parameter :: nGC_71 = 319
  integer, parameter :: nGC_73 = 320
  integer, parameter :: nGC_72 = 321
  integer, parameter :: nGC_9275 = 322
  integer, parameter :: nGC_79 = 323
  integer, parameter :: nGC_78 = 324
  integer, parameter :: nGC_9633 = 325
  integer, parameter :: nGC_9630 = 326
  integer, parameter :: nGC_9631 = 327
  integer, parameter :: nGC_HHGG = 328
  integer, parameter :: nGC_9638 = 329
  integer, parameter :: nGC_9639 = 330
  integer, parameter :: nGC_15346 = 331
  integer, parameter :: nGC_15347 = 332
  integer, parameter :: nGC_100 = 333
  integer, parameter :: nGC_102 = 334
  integer, parameter :: nGC_103 = 335
  integer, parameter :: nGC_104 = 336
  integer, parameter :: nGC_105 = 337
  integer, parameter :: nGC_106 = 338
  integer, parameter :: nGC_107 = 339
  integer, parameter :: nGC_108 = 340
  integer, parameter :: nGC_9732 = 341
  integer, parameter :: nGC_9731 = 342
  integer, parameter :: nGC_9730 = 343
  integer, parameter :: nGC_9737 = 344
  integer, parameter :: nGC_9735 = 345
  integer, parameter :: nGC_14024 = 346
  integer, parameter :: nGC_14025 = 347
  integer, parameter :: nGC_14027 = 348
  integer, parameter :: nGC_9421 = 349
  integer, parameter :: nGC_14023 = 350
  integer, parameter :: nGC_14028 = 351
  integer, parameter :: nGC_17478 = 352
  integer, parameter :: nGC_15496 = 353
  integer, parameter :: nGC_19630 = 354
  integer, parameter :: nGC_19631 = 355
  integer, parameter :: nGC_9320 = 356
  integer, parameter :: nGC_14802 = 357
  integer, parameter :: nGC_16568 = 358
  integer, parameter :: nGC_16564 = 359
  integer, parameter :: nGC_16561 = 360
  integer, parameter :: nGC_9096 = 361
  integer, parameter :: nGC_9643 = 362
  integer, parameter :: nGC_9128 = 363
  integer, parameter :: nGC_9127 = 364
  integer, parameter :: nGC_9073 = 365
  integer, parameter :: nGC_9321 = 366
  integer, parameter :: nGC_9182 = 367
  integer, parameter :: nGC_14237 = 368
  integer, parameter :: nGC_14238 = 369
  integer, parameter :: nGC_18768 = 370
  integer, parameter :: nGC_14335 = 371
  integer, parameter :: nGC_14336 = 372
  integer, parameter :: nGC_9667 = 373
  integer, parameter :: nGC_18765 = 374
  integer, parameter :: nGC_9640 = 375
  integer, parameter :: nGC_214 = 376
  integer, parameter :: nGC_210 = 377
  integer, parameter :: nGC_14347 = 378
  integer, parameter :: nGC_14340 = 379
  integer, parameter :: nGC_9752 = 380
  integer, parameter :: nGC_9680 = 381
  integer, parameter :: nGC_9079 = 382
  integer, parameter :: nGC_9298 = 383
  integer, parameter :: nGC_14138 = 384
  integer, parameter :: nGC_9299 = 385
  integer, parameter :: nGC_9465 = 386
  integer, parameter :: nGC_15122 = 387
  integer, parameter :: nGC_7186 = 388
  integer, parameter :: nGC_15121 = 389
  integer, parameter :: nGC_9548 = 390
  integer, parameter :: nGC_9543 = 391
  integer, parameter :: nGC_9305 = 392
  integer, parameter :: nGC_9586 = 393
  integer, parameter :: nGC_9188 = 394
  integer, parameter :: nGC_9545 = 395
  integer, parameter :: nGC_87 = 396
  integer, parameter :: nGC_364 = 397
  integer, parameter :: nGC_9753 = 398
  integer, parameter :: nGC_9301 = 399
  integer, parameter :: nGC_9541 = 400
  integer, parameter :: nGC_39 = 401
  integer, parameter :: nGC_7176 = 402
  integer, parameter :: nGC_21276 = 403
  integer, parameter :: nGC_9453 = 404
  integer, parameter :: nGC_31 = 405
  integer, parameter :: nGC_30 = 406
  integer, parameter :: nGC_33 = 407
  integer, parameter :: nGC_32 = 408
  integer, parameter :: nGC_35 = 409
  integer, parameter :: nGC_37 = 410
  integer, parameter :: nGC_36 = 411
  integer, parameter :: nGC_144 = 412
  integer, parameter :: nGC_145 = 413
  integer, parameter :: nGC_146 = 414
  integer, parameter :: nGC_9269 = 415
  integer, parameter :: nGC_9268 = 416
  integer, parameter :: nGC_9300 = 417
  integer, parameter :: nGC_14137 = 418
  integer, parameter :: nGC_9265 = 419
  integer, parameter :: nGC_9264 = 420
  integer, parameter :: nGC_9267 = 421
  integer, parameter :: nGC_9266 = 422
  integer, parameter :: nGC_9261 = 423
  integer, parameter :: nGC_149 = 424
  integer, parameter :: nGC_15636 = 425
  integer, parameter :: nGC_15635 = 426
  integer, parameter :: nGC_9069 = 427
  integer, parameter :: nGC_9068 = 428
  integer, parameter :: nGC_9067 = 429
  integer, parameter :: nGC_9066 = 430
  integer, parameter :: nGC_9075 = 431
  integer, parameter :: nGC_9287 = 432
  integer, parameter :: nGC_9286 = 433
  integer, parameter :: nGC_9285 = 434
  integer, parameter :: nGC_9284 = 435
  integer, parameter :: nGC_9283 = 436
  integer, parameter :: nGC_9282 = 437
  integer, parameter :: nGC_9289 = 438
  integer, parameter :: nGC_9288 = 439
  integer, parameter :: nGC_9148 = 440
  integer, parameter :: nGC_9668 = 441
  integer, parameter :: nGC_119 = 442
  integer, parameter :: nGC_9080 = 443
  integer, parameter :: nGC_9162 = 444
  integer, parameter :: nGC_9167 = 445
  integer, parameter :: nGC_67 = 446
  integer, parameter :: nGC_9168 = 447
  integer, parameter :: nGC_9169 = 448
  integer, parameter :: nGC_9764 = 449
  integer, parameter :: nGC_9197 = 450
  integer, parameter :: nGC_9766 = 451
  integer, parameter :: nGC_9760 = 452
  integer, parameter :: nGC_17635 = 453
  integer, parameter :: nGC_9762 = 454
  integer, parameter :: nGC_784 = 455
  integer, parameter :: nGC_MM = 456
  integer, parameter :: nGC_MC = 457
  integer, parameter :: nGC_MB = 458
  integer, parameter :: nGC_61 = 459
  integer, parameter :: nGC_15497 = 460
  integer, parameter :: nGC_ME = 461
  integer, parameter :: nGC_9192 = 462
  integer, parameter :: nGC_MZ = 463
  integer, parameter :: nGC_117 = 464
  integer, parameter :: nGC_9262 = 465
  integer, parameter :: nGC_MS = 466
  integer, parameter :: nGC_MW = 467
  integer, parameter :: nGC_126 = 468
  integer, parameter :: nGC_81 = 469
  integer, parameter :: nGC_14580 = 470
  integer, parameter :: nGC_9117 = 471
  integer, parameter :: nGC_9116 = 472
  integer, parameter :: nGC_9115 = 473
  integer, parameter :: nGC_18912 = 474
  integer, parameter :: nGC_9113 = 475
  integer, parameter :: nGC_9112 = 476
  integer, parameter :: nGC_16929 = 477
  integer, parameter :: nGC_9110 = 478
  integer, parameter :: nGC_14576 = 479
  integer, parameter :: nGC_16926 = 480
  integer, parameter :: nGC_14061 = 481
  integer, parameter :: nGC_14570 = 482
  integer, parameter :: nGC_9118 = 483
  integer, parameter :: nGC_14577 = 484
  integer, parameter :: nGC_109 = 485
  integer, parameter :: nGC_3772 = 486
  integer, parameter :: nGC_15495 = 487
  integer, parameter :: nGC_121 = 488
  integer, parameter :: nGC_9675 = 489
  integer, parameter :: nGC_9508 = 490
  integer, parameter :: nGC_9308 = 491
  integer, parameter :: nGC_15004 = 492
  integer, parameter :: nGC_15007 = 493
  integer, parameter :: nGC_19992 = 494
  integer, parameter :: nGC_15003 = 495
  integer, parameter :: nGC_38 = 496
  integer, parameter :: nGC_9114 = 497
  integer, parameter :: nGC_34 = 498
  integer, parameter :: nGC_15498 = 499
  integer, parameter :: nGC_14063 = 500
  integer, parameter :: nGC_14277 = 501
  integer, parameter :: nGC_9617 = 502
  integer, parameter :: nGC_9309 = 503
  integer, parameter :: nGC_14273 = 504
  integer, parameter :: nGC_9098 = 505
  integer, parameter :: nGC_14279 = 506
  integer, parameter :: nGC_112 = 507
  integer, parameter :: nGC_MTA = 508
  integer, parameter :: nGC_1110 = 509
  integer, parameter :: nGC_21275 = 510
  integer, parameter :: nGC_9239 = 511
  integer, parameter :: nGC_9132 = 512
  integer, parameter :: nGC_9260 = 513
  integer, parameter :: nGC_15008 = 514
  integer, parameter :: nGC_9438 = 515
  integer, parameter :: nGC_9729 = 516
  integer, parameter :: nGC_88 = 517
  integer, parameter :: nGC_89 = 518
  integer, parameter :: nGC_9755 = 519
  integer, parameter :: nGC_80 = 520
  integer, parameter :: nGC_82 = 521
  integer, parameter :: nGC_83 = 522
  integer, parameter :: nGC_85 = 523
  integer, parameter :: nGC_86 = 524
  integer, parameter :: nGC_9306 = 525
  integer, parameter :: nGC_15753 = 526
  integer, parameter :: nGC_16986 = 527
  integer, parameter :: nGC_9307 = 528
  integer, parameter :: nGC_15759 = 529
  integer, parameter :: nGC_18913 = 530
  integer, parameter :: nGC_9486 = 531
  integer, parameter :: nGC_9671 = 532
  integer, parameter :: nGC_66 = 533
  integer, parameter :: nGC_64 = 534
  integer, parameter :: nGC_147 = 535
  integer, parameter :: nGC_62 = 536
  integer, parameter :: nGC_63 = 537
  integer, parameter :: nGC_60 = 538
  integer, parameter :: nGC_9302 = 539
  integer, parameter :: nGC_9327 = 540
  integer, parameter :: nGC_115 = 541
  integer, parameter :: nGC_14581 = 542
  integer, parameter :: nGC_9303 = 543
  integer, parameter :: nGC_9236 = 544
  integer, parameter :: nGC_9237 = 545
  integer, parameter :: nGC_114 = 546
  integer, parameter :: nGC_142 = 547
  integer, parameter :: nGC_110 = 548
  integer, parameter :: nGC_113 = 549
  integer, parameter :: nGC_143 = 550
  integer, parameter :: nGC_15351 = 551
  integer, parameter :: nGC_15350 = 552
  integer, parameter :: nGC_9238 = 553
  integer, parameter :: nGC_9180 = 554
  integer, parameter :: nGC_9480 = 555
  integer, parameter :: nGC_9483 = 556
  integer, parameter :: nGC_9485 = 557
  integer, parameter :: nGC_9484 = 558
  integer, parameter :: nGC_9489 = 559
  integer, parameter :: nGC_9335 = 560
  integer, parameter :: nGC_9334 = 561
  integer, parameter :: nGC_9333 = 562
  integer, parameter :: nGC_9332 = 563
  integer, parameter :: nGC_9331 = 564
  integer, parameter :: nGC_9330 = 565
  integer, parameter :: nGC_3558 = 566
  integer, parameter :: nGC_15525 = 567
  integer, parameter :: nGC_15522 = 568
  integer, parameter :: nGC_15523 = 569
  integer, parameter :: nGC_1108 = 570
  integer, parameter :: nGC_19625 = 571
  integer, parameter :: nGC_19624 = 572
  integer, parameter :: nGC_19627 = 573
  integer, parameter :: nGC_19626 = 574
  integer, parameter :: nGC_2702 = 575
  integer, parameter :: nGC_2700 = 576
  integer, parameter :: nGC_18340 = 577
  integer, parameter :: nGC_18343 = 578
  integer, parameter :: nGC_18342 = 579
  integer, parameter :: nGC_14536 = 580
  integer, parameter :: nGC_9654 = 581
  integer, parameter :: nGC_9655 = 582
  integer, parameter :: nGC_9656 = 583
  integer, parameter :: nGC_9657 = 584
  integer, parameter :: nGC_9650 = 585
  integer, parameter :: nGC_9651 = 586
  integer, parameter :: nGC_9652 = 587
  integer, parameter :: nGC_9653 = 588
  integer, parameter :: nGC_9450 = 589
  integer, parameter :: nGC_9658 = 590
  integer, parameter :: nGC_9659 = 591
  integer, parameter :: nGC_14002 = 592
  integer, parameter :: nGC_16039 = 593
  integer, parameter :: nGC_19993 = 594
  integer, parameter :: nGC_14404 = 595
  integer, parameter :: nGC_14405 = 596
  integer, parameter :: nGC_9356 = 597
  integer, parameter :: nGC_9423 = 598
  integer, parameter :: nGC_380 = 599
  integer, parameter :: nGC_9470 = 600
  integer, parameter :: nGC_14814 = 601
  integer, parameter :: nGC_9473 = 602
  integer, parameter :: nGC_9474 = 603
  integer, parameter :: nGC_9475 = 604
  integer, parameter :: nGC_14813 = 605
  integer, parameter :: nGC_9477 = 606
  integer, parameter :: nGC_9478 = 607
  integer, parameter :: nGC_18452 = 608
  integer, parameter :: nGC_14819 = 609
  integer, parameter :: nGC_15135 = 610
  integer, parameter :: nGC_9570 = 611
  integer, parameter :: nGC_9572 = 612
  integer, parameter :: nGC_470 = 613
  integer, parameter :: nGC_15138 = 614
  integer, parameter :: nGC_274 = 615
  integer, parameter :: nGC_9683 = 616
  integer, parameter :: nGC_9682 = 617
  integer, parameter :: nGC_9681 = 618
  integer, parameter :: nGC_9684 = 619
  integer, parameter :: nGC_9688 = 620
  integer, parameter :: nGC_9372 = 621
  integer, parameter :: nGC_9371 = 622
  integer, parameter :: nGC_9377 = 623
  integer, parameter :: nGC_9376 = 624
  integer, parameter :: nGC_9375 = 625
  integer, parameter :: nGC_9374 = 626
  integer, parameter :: nGC_9379 = 627
  integer, parameter :: nGC_15141 = 628
  integer, parameter :: nGC_15142 = 629
  integer, parameter :: nGC_2038 = 630
  integer, parameter :: nGC_16266 = 631
  integer, parameter :: nGC_16189 = 632
  integer, parameter :: nGC_16263 = 633
  integer, parameter :: nGC_15913 = 634
  integer, parameter :: nGC_15912 = 635
  integer, parameter :: nGC_15911 = 636
  integer, parameter :: nGC_15910 = 637
  integer, parameter :: nGC_14144 = 638
  integer, parameter :: nGC_15853 = 639
  integer, parameter :: nGC_14140 = 640
  integer, parameter :: nGC_9618 = 641
  integer, parameter :: nGC_9619 = 642
  integer, parameter :: nGC_9443 = 643
  integer, parameter :: nGC_9610 = 644
  integer, parameter :: nGC_9614 = 645
  integer, parameter :: nGC_9615 = 646
  integer, parameter :: nGC_9616 = 647
  integer, parameter :: nGC_15499 = 648
  integer, parameter :: nGC_14367 = 649
  integer, parameter :: nGC_16988 = 650
  integer, parameter :: nGC_16987 = 651
  integer, parameter :: nGC_14045 = 652
  integer, parameter :: nGC_16466 = 653
  integer, parameter :: nGC_14442 = 654
  integer, parameter :: nGC_14443 = 655
  integer, parameter :: nGC_14441 = 656
  integer, parameter :: nGC_14444 = 657
  integer, parameter :: nGC_14567 = 658
  integer, parameter :: nGC_14568 = 659
  integer, parameter :: nGC_15561 = 660
  integer, parameter :: nGC_15567 = 661
  integer, parameter :: nGC_15564 = 662
  integer, parameter :: nGC_14210 = 663
  integer, parameter :: nGC_9539 = 664
  integer, parameter :: nGC_9538 = 665
  integer, parameter :: nGC_9535 = 666
  integer, parameter :: nGC_9534 = 667
  integer, parameter :: nGC_9537 = 668
  integer, parameter :: nGC_9536 = 669
  integer, parameter :: nGC_9531 = 670
  integer, parameter :: nGC_9530 = 671
  integer, parameter :: nGC_9533 = 672
  integer, parameter :: nGC_9532 = 673
  integer, parameter :: nGC_9389 = 674
  integer, parameter :: nGC_334 = 675
  integer, parameter :: nGC_14280 = 676
  integer, parameter :: nGC_19265 = 677
  integer, parameter :: nGC_19267 = 678
  integer, parameter :: nGC_19266 = 679
  integer, parameter :: nGC_9602 = 680
  integer, parameter :: nGC_14820 = 681
  integer, parameter :: nGC_9401 = 682
  integer, parameter :: nGC_9403 = 683
  integer, parameter :: nGC_9402 = 684
  integer, parameter :: nGC_9405 = 685
  integer, parameter :: nGC_9404 = 686
  integer, parameter :: nGC_9407 = 687
  integer, parameter :: nGC_9406 = 688
  integer, parameter :: nGC_9605 = 689
  integer, parameter :: nGC_9393 = 690
  integer, parameter :: nGC_9392 = 691
  integer, parameter :: nGC_9395 = 692
  integer, parameter :: nGC_9394 = 693
  integer, parameter :: nGC_9397 = 694
  integer, parameter :: nGC_9396 = 695
  integer, parameter :: nGC_9398 = 696
  integer, parameter :: nGC_15681 = 697
  integer, parameter :: nGC_2094 = 698
  integer, parameter :: nGC_9715 = 699
  integer, parameter :: nGC_9714 = 700
  integer, parameter :: nGC_9717 = 701
  integer, parameter :: nGC_9716 = 702
  integer, parameter :: nGC_9711 = 703
  integer, parameter :: nGC_9710 = 704
  integer, parameter :: nGC_9713 = 705
  integer, parameter :: nGC_9712 = 706
  integer, parameter :: nGC_9719 = 707
  integer, parameter :: nGC_9718 = 708
  integer, parameter :: nGC_15610 = 709
  integer, parameter :: nGC_15611 = 710
  integer, parameter :: nGC_9497 = 711
  integer, parameter :: nGC_9494 = 712
  integer, parameter :: nGC_9492 = 713
  integer, parameter :: nGC_9493 = 714
  integer, parameter :: nGC_9490 = 715
  integer, parameter :: nGC_9491 = 716
  integer, parameter :: nGC_17482 = 717
  integer, parameter :: nGC_17481 = 718
  integer, parameter :: nGC_15969 = 719
  integer, parameter :: nGC_9705 = 720
  integer, parameter :: nGC_14521 = 721
  integer, parameter :: nGC_14523 = 722
  integer, parameter :: nGC_14489 = 723
  integer, parameter :: nGC_9660 = 724
  integer, parameter :: nGC_13997 = 725
  integer, parameter :: nGC_13991 = 726
  integer, parameter :: nGC_14880 = 727
  integer, parameter :: nGC_13992 = 728
  integer, parameter :: nGC_14257 = 729
  integer, parameter :: nGC_14189 = 730
  integer, parameter :: nGC_14965 = 731
  integer, parameter :: nGC_14415 = 732
  integer, parameter :: nGC_14419 = 733
  integer, parameter :: nGC_16284 = 734
  integer, parameter :: nGC_16283 = 735
  integer, parameter :: nGC_9565 = 736
  integer, parameter :: nGC_9560 = 737
  integer, parameter :: nGC_9445 = 738
  integer, parameter :: nGC_9444 = 739
  integer, parameter :: nGC_9446 = 740
  integer, parameter :: nGC_9440 = 741
  integer, parameter :: nGC_9568 = 742
  integer, parameter :: nGC_9442 = 743
  integer, parameter :: nGC_14918 = 744
  integer, parameter :: nGC_14919 = 745
  integer, parameter :: nGC_15021 = 746
  integer, parameter :: nGC_14917 = 747
  integer, parameter :: nGC_17507 = 748
  integer, parameter :: nGC_488 = 749
  integer, parameter :: nGC_9690 = 750
  integer, parameter :: nGC_9691 = 751
  integer, parameter :: nGC_9692 = 752
  integer, parameter :: nGC_9694 = 753
  integer, parameter :: nGC_9695 = 754
  integer, parameter :: nGC_9696 = 755
  integer, parameter :: nGC_9697 = 756
  integer, parameter :: nGC_9698 = 757
  integer, parameter :: nGC_9699 = 758
  integer, parameter :: nGC_9360 = 759
  integer, parameter :: nGC_9361 = 760
  integer, parameter :: nGC_9362 = 761
  integer, parameter :: nGC_9364 = 762
  integer, parameter :: nGC_9365 = 763
  integer, parameter :: nGC_9367 = 764
  integer, parameter :: nGC_9368 = 765
  integer, parameter :: nGC_9369 = 766
  integer, parameter :: nGC_9598 = 767
  integer, parameter :: nGC_15156 = 768
  integer, parameter :: nGC_9593 = 769
  integer, parameter :: nGC_9592 = 770
  integer, parameter :: nGC_15475 = 771
  integer, parameter :: nGC_15477 = 772
  integer, parameter :: nGC_15478 = 773
  integer, parameter :: nGC_9625 = 774
  integer, parameter :: nGC_9624 = 775
  integer, parameter :: nGC_9627 = 776
  integer, parameter :: nGC_14171 = 777
  integer, parameter :: nGC_9621 = 778
  integer, parameter :: nGC_9620 = 779
  integer, parameter :: nGC_9623 = 780
  integer, parameter :: nGC_9622 = 781
  integer, parameter :: nGC_17206 = 782
  integer, parameter :: nGC_18921 = 783
  integer, parameter :: nGC_18920 = 784
  integer, parameter :: nGC_16378 = 785
  integer, parameter :: nGC_9744 = 786
  integer, parameter :: nGC_9742 = 787
  integer, parameter :: nGC_9743 = 788
  integer, parameter :: nGC_9740 = 789
  integer, parameter :: nGC_9741 = 790
  integer, parameter :: nGC_14054 = 791
  integer, parameter :: nGC_16976 = 792
  integer, parameter :: nGC_16977 = 793
  integer, parameter :: nGC_15500 = 794
  integer, parameter :: nGC_9336 = 795
  integer, parameter :: nGC_14196 = 796
  integer, parameter :: nGC_14197 = 797
  integer, parameter :: nGC_22337 = 798
  integer, parameter :: nGC_14517 = 799
  integer, parameter :: nGC_14228 = 800
  integer, parameter :: nGC_860 = 801
  integer, parameter :: nGC_9528 = 802
  integer, parameter :: nGC_9529 = 803
  integer, parameter :: nGC_9523 = 804
  integer, parameter :: nGC_9520 = 805
  integer, parameter :: nGC_9521 = 806
  integer, parameter :: nGC_9526 = 807
  integer, parameter :: nGC_9527 = 808
  integer, parameter :: nGC_14420 = 809
  integer, parameter :: nGC_14356 = 810
  integer, parameter :: nGC_15030 = 811
  integer, parameter :: nGC_9416 = 812
  integer, parameter :: nGC_9417 = 813
  integer, parameter :: nGC_9414 = 814
  integer, parameter :: nGC_9412 = 815
  integer, parameter :: nGC_9413 = 816
  integer, parameter :: nGC_9418 = 817
  integer, parameter :: nGC_9559 = 818
  integer, parameter :: nGC_9558 = 819
  integer, parameter :: nGC_9557 = 820
  integer, parameter :: nGC_9556 = 821
  integer, parameter :: nGC_9555 = 822
  integer, parameter :: nGC_9554 = 823
  integer, parameter :: nGC_292 = 824
  integer, parameter :: nGC_14145 = 825
  integer, parameter :: nGC_9569 = 826
  integer, parameter :: nGC_15059 = 827
  integer, parameter :: nGC_9388 = 828
  integer, parameter :: nGC_14173 = 829
  integer, parameter :: nGC_9386 = 830
  integer, parameter :: nGC_9387 = 831
  integer, parameter :: nGC_9384 = 832
  integer, parameter :: nGC_9385 = 833
  integer, parameter :: nGC_9382 = 834
  integer, parameter :: nGC_9383 = 835
  integer, parameter :: nGC_9380 = 836
  integer, parameter :: nGC_9626 = 837
  integer, parameter :: nGC_16336 = 838
  integer, parameter :: nGC_16337 = 839
  integer, parameter :: nGC_15807 = 840
  integer, parameter :: nGC_16042 = 841
  integer, parameter :: nGC_9702 = 842
  integer, parameter :: nGC_9703 = 843
  integer, parameter :: nGC_9700 = 844
  integer, parameter :: nGC_9707 = 845
  integer, parameter :: nGC_9704 = 846
  integer, parameter :: nGC_18607 = 847
  integer, parameter :: nGC_9708 = 848
  integer, parameter :: nGC_14881 = 849
  integer, parameter :: nGC_15607 = 850
  integer, parameter :: nGC_17081 = 851
  integer, parameter :: nGC_15604 = 852
  integer, parameter :: nGC_15609 = 853
  integer, parameter :: nGC_9471 = 854
  integer, parameter :: nGC_9629 = 855
  integer, parameter :: nGC_9628 = 856
  integer, parameter :: nGC_15971 = 857
  integer, parameter :: nGC_15970 = 858
  integer, parameter :: nGC_15972 = 859
  integer, parameter :: nGC_9472 = 860
  integer, parameter :: nGC_14120 = 861
  integer, parameter :: nGC_14088 = 862
  integer, parameter :: nGC_14089 = 863
  integer, parameter :: nGC_13962 = 864
  integer, parameter :: nGC_9677 = 865
  integer, parameter :: nGC_9673 = 866
  integer, parameter :: nGC_14305 = 867
  integer, parameter :: nGC_14306 = 868
  integer, parameter :: nGC_14062 = 869
  integer, parameter :: nGC_14064 = 870
  integer, parameter :: nGC_824 = 871
  integer, parameter :: nGC_14067 = 872
  integer, parameter :: nGC_14338 = 873
  integer, parameter :: nGC_14015 = 874
  integer, parameter :: nGC_14016 = 875
  integer, parameter :: nGC_16933 = 876
  integer, parameter :: nGC_9607 = 877
  integer, parameter :: nGC_9513 = 878
  integer, parameter :: nGC_9512 = 879
  integer, parameter :: nGC_9511 = 880
  integer, parameter :: nGC_9510 = 881
  integer, parameter :: nGC_9517 = 882
  integer, parameter :: nGC_9516 = 883
  integer, parameter :: nGC_9515 = 884
  integer, parameter :: nGC_9514 = 885
  integer, parameter :: nGC_9452 = 886
  integer, parameter :: nGC_15855 = 887
  integer, parameter :: nGC_9519 = 888
  integer, parameter :: nGC_9451 = 889
  integer, parameter :: nGC_9456 = 890
  integer, parameter :: nGC_9457 = 891
  integer, parameter :: nGC_9476 = 892
  integer, parameter :: nGC_9455 = 893
  integer, parameter :: nGC_9329 = 894
  integer, parameter :: nGC_9373 = 895
  integer, parameter :: nGC_534 = 896
  integer, parameter :: nGC_14844 = 897
  integer, parameter :: nGC_9359 = 898
  integer, parameter :: nGC_9358 = 899
  integer, parameter :: nGC_9429 = 900
  integer, parameter :: nGC_9428 = 901
  integer, parameter :: nGC_9426 = 902
  integer, parameter :: nGC_9425 = 903
  integer, parameter :: nGC_9424 = 904
  integer, parameter :: nGC_9351 = 905
  integer, parameter :: nGC_9422 = 906
  integer, parameter :: nGC_9353 = 907
  integer, parameter :: nGC_9420 = 908
  integer, parameter :: nGC_22139 = 909
  integer, parameter :: nGC_15165 = 910
  integer, parameter :: nGC_15162 = 911
  integer, parameter :: nGC_9580 = 912
  integer, parameter :: nGC_9581 = 913
  integer, parameter :: nGC_9582 = 914
  integer, parameter :: nGC_9583 = 915
  integer, parameter :: nGC_9584 = 916
  integer, parameter :: nGC_15080 = 917
  integer, parameter :: nGC_14694 = 918
  integer, parameter :: nGC_9347 = 919
  integer, parameter :: nGC_9632 = 920
  integer, parameter :: nGC_15348 = 921
  integer, parameter :: nGC_15349 = 922
  integer, parameter :: nGC_9636 = 923
  integer, parameter :: nGC_9637 = 924
  integer, parameter :: nGC_9634 = 925
  integer, parameter :: nGC_9635 = 926
  integer, parameter :: nGC_14600 = 927
  integer, parameter :: nGC_14549 = 928
  integer, parameter :: nGC_14762 = 929
  integer, parameter :: nGC_9738 = 930
  integer, parameter :: nGC_9733 = 931
  integer, parameter :: nGC_9736 = 932
  integer, parameter :: nGC_9734 = 933
  integer, parameter :: nGC_14026 = 934
  integer, parameter :: nGC_9345 = 935
  integer, parameter :: nGC_14181 = 936
  integer, parameter :: nGC_14029 = 937
  integer, parameter :: nGC_16934 = 938
  integer, parameter :: nGC_16097 = 939
  integer, parameter :: nGC_19633 = 940
  integer, parameter :: nGC_16095 = 941
  integer, parameter :: nGC_16094 = 942
  integer, parameter :: nGC_14017 = 943
  integer, parameter :: nGC_9575 = 944
  integer, parameter :: nGC_16569 = 945
  integer, parameter :: nGC_9352 = 946
  integer, parameter :: nGC_9647 = 947
  integer, parameter :: nGC_9646 = 948
  integer, parameter :: nGC_9645 = 949
  integer, parameter :: nGC_9644 = 950
  integer, parameter :: nGC_9642 = 951
  integer, parameter :: nGC_9641 = 952
  integer, parameter :: nGC_9435 = 953
  integer, parameter :: nGC_14399 = 954
  integer, parameter :: nGC_9340 = 955
  integer, parameter :: nGC_9649 = 956
  integer, parameter :: nGC_9648 = 957
  integer, parameter :: nGC_14231 = 958
  integer, parameter :: nGC_14339 = 959
  integer, parameter :: nGC_9341 = 960
  integer, parameter :: nGC_9346 = 961
  integer, parameter :: nGC_14337 = 962
  integer, parameter :: nGC_9344 = 963
  integer, parameter :: nGC_15006 = 964
  integer, parameter :: nGC_14941 = 965
  integer, parameter :: nGC_14940 = 966
  integer, parameter :: nGC_22299 = 967
  integer, parameter :: nGC_9463 = 968
  integer, parameter :: nGC_9462 = 969
  integer, parameter :: nGC_9461 = 970
  integer, parameter :: nGC_9460 = 971
  integer, parameter :: nGC_9467 = 972
  integer, parameter :: nGC_9466 = 973
  integer, parameter :: nGC_16349 = 974
  integer, parameter :: nGC_9464 = 975
  integer, parameter :: nGC_9469 = 976
  integer, parameter :: nGC_9468 = 977
  integer, parameter :: nGC_15123 = 978
  integer, parameter :: nGC_9549 = 979
  integer, parameter :: nGC_15124 = 980
  integer, parameter :: nGC_15125 = 981
  integer, parameter :: nGC_9544 = 982
  integer, parameter :: nGC_23070 = 983
  integer, parameter :: nGC_9546 = 984
  integer, parameter :: nGC_9547 = 985
  integer, parameter :: nGC_9540 = 986
  integer, parameter :: nGC_9458 = 987
  integer, parameter :: nGC_9542 = 988
  integer, parameter :: nGC_9459 = 989
  integer, parameter :: nGC_21277 = 990
  integer, parameter :: nGC_18002 = 991
  integer, parameter :: nGC_16622 = 992
  integer, parameter :: nGC_14522 = 993
  integer, parameter :: nGC_21278 = 994
  integer, parameter :: nGC_9518 = 995
  integer, parameter :: nGC_15225 = 996
  integer, parameter :: nGC_14722 = 997
  integer, parameter :: nGC_15637 = 998
  integer, parameter :: nGC_9454 = 999
  integer, parameter :: nGC_15638 = 1000
  integer, parameter :: nGC_15639 = 1001
  integer, parameter :: nGC_16218 = 1002
  integer, parameter :: nGC_14095 = 1003
  integer, parameter :: nGC_14159 = 1004
  integer, parameter :: nGC_14093 = 1005
  integer, parameter :: nGC_13990 = 1006
  integer, parameter :: nGC_9609 = 1007
  integer, parameter :: nGC_9767 = 1008
  integer, parameter :: nGC_13975 = 1009
  integer, parameter :: nGC_9603 = 1010
  integer, parameter :: nGC_15703 = 1011
  integer, parameter :: nGC_9601 = 1012
  integer, parameter :: nGC_14139 = 1013
  integer, parameter :: nGC_9606 = 1014
  integer, parameter :: nGC_15704 = 1015
  integer, parameter :: nGC_15705 = 1016
  integer, parameter :: nGC_14374 = 1017
  integer, parameter :: nGC_14079 = 1018
  integer, parameter :: nGC_14078 = 1019
  integer, parameter :: nGC_14371 = 1020
  integer, parameter :: nGC_14077 = 1021
  integer, parameter :: nGC_14076 = 1022
  integer, parameter :: nGC_14385 = 1023
  integer, parameter :: nGC_14475 = 1024
  integer, parameter :: nGC_16512 = 1025
  integer, parameter :: nGC_13958 = 1026
  integer, parameter :: nGC_14571 = 1027
  integer, parameter :: nGC_14153 = 1028
  integer, parameter :: nGC_14206 = 1029
  integer, parameter :: nGC_14207 = 1030
  integer, parameter :: nGC_9500 = 1031
  integer, parameter :: nGC_9501 = 1032
  integer, parameter :: nGC_9502 = 1033
  integer, parameter :: nGC_9503 = 1034
  integer, parameter :: nGC_9504 = 1035
  integer, parameter :: nGC_9505 = 1036
  integer, parameter :: nGC_9506 = 1037
  integer, parameter :: nGC_9507 = 1038
  integer, parameter :: nGC_9509 = 1039
  integer, parameter :: nGC_15005 = 1040
  integer, parameter :: nGC_9355 = 1041
  integer, parameter :: nGC_244 = 1042
  integer, parameter :: nGC_18004 = 1043
  integer, parameter :: nGC_14278 = 1044
  integer, parameter :: nGC_15640 = 1045
  integer, parameter :: nGC_14265 = 1046
  integer, parameter :: nGC_14270 = 1047
  integer, parameter :: nGC_18003 = 1048
  integer, parameter :: nGC_9481 = 1049
  integer, parameter :: nGC_9348 = 1050
  integer, parameter :: nGC_9349 = 1051
  integer, parameter :: nGC_9439 = 1052
  integer, parameter :: nGC_9434 = 1053
  integer, parameter :: nGC_9343 = 1054
  integer, parameter :: nGC_9436 = 1055
  integer, parameter :: nGC_9437 = 1056
  integer, parameter :: nGC_9430 = 1057
  integer, parameter :: nGC_9431 = 1058
  integer, parameter :: nGC_9432 = 1059
  integer, parameter :: nGC_9433 = 1060
  integer, parameter :: nGC_16936 = 1061
  integer, parameter :: nGC_15754 = 1062
  integer, parameter :: nGC_15758 = 1063
  integer, parameter :: nGC_9488 = 1064
  integer, parameter :: nGC_15353 = 1065
  integer, parameter :: nGC_15352 = 1066
  integer, parameter :: nGC_9728 = 1067
  integer, parameter :: nGC_9482 = 1068
  integer, parameter :: nGC_9339 = 1069
  integer, parameter :: nGC_9338 = 1070
  integer, parameter :: nGC_9337 = 1071
  integer, parameter :: nGC_9721 = 1072
  integer, parameter :: nGC_9722 = 1073
  integer, parameter :: nGC_9723 = 1074
  integer, parameter :: nGC_9724 = 1075
  integer, parameter :: nGC_9725 = 1076
  integer, parameter :: nGC_9726 = 1077
  integer, parameter :: nGC_9391 = 1078
  integer, parameter :: nGC_9390 = 1079
  integer, parameter :: nGC_15526 = 1080
  integer, parameter :: nGC_14394 = 1081
  integer, parameter :: nGC_15524 = 1082
  integer, parameter :: nGC_21681 = 1083
  integer, parameter :: nGC_14038 = 1084
  integer, parameter :: nGC_9577 = 1085
  integer, parameter :: nGC_9410 = 1086
  integer, parameter :: nGC_16304 = 1087
  integer, parameter :: nGC_15388 = 1088
  integer, parameter :: nGC_9553 = 1089
  integer, parameter :: nGC_9552 = 1090
  integer, parameter :: nGC_9551 = 1091
  integer, parameter :: nGC_9550 = 1092
  integer, parameter :: nGC_9399 = 1093
  integer, parameter :: nGC_15612 = 1094
  integer, parameter :: nGC_17091 = 1095
  integer, parameter :: nGC_9498 = 1096
  integer, parameter :: nGC_9499 = 1097
  integer, parameter :: nGC_9496 = 1098
  integer, parameter :: nGC_9495 = 1099
  integer, parameter :: nGC_15325 = 1100
  integer, parameter :: nGC_14304 = 1101
  integer, parameter :: nGC_15732 = 1102
  integer, parameter :: nGC_14242 = 1103
  integer, parameter :: nGC_9448 = 1104
  integer, parameter :: nGC_14648 = 1105
  integer, parameter :: nGC_14845 = 1106
  integer, parameter :: nGC_14649 = 1107
  integer, parameter :: nGC_16338 = 1108
  integer, parameter :: nGC_16339 = 1109
  integer, parameter :: nGC_14637 = 1110
  integer, parameter :: nGC_14525 = 1111
  integer, parameter :: nGC_14524 = 1112
  integer, parameter :: nGC_14638 = 1113
  integer, parameter :: nGC_19043 = 1114
  integer, parameter :: nGC_14882 = 1115
  integer, parameter :: nGC_17084 = 1116
  integer, parameter :: nGC_14004 = 1117
  integer, parameter :: nGC_14408 = 1118
  integer, parameter :: nGC_14409 = 1119
  integer, parameter :: nGC_14406 = 1120
  integer, parameter :: nGC_14407 = 1121
  integer, parameter :: nGC_13993 = 1122
  integer, parameter :: nGC_9525 = 1123
  integer, parameter :: nGC_9350 = 1124
  integer, parameter :: nGC_14817 = 1125
  integer, parameter :: nGC_9479 = 1126
  integer, parameter :: nGC_14818 = 1127
  integer, parameter :: nGC_14997 = 1128
  integer, parameter :: nGC_16845 = 1129
  integer, parameter :: nGC_9579 = 1130
  integer, parameter :: nGC_9578 = 1131
  integer, parameter :: nGC_14085 = 1132
  integer, parameter :: nGC_9571 = 1133
  integer, parameter :: nGC_9573 = 1134
  integer, parameter :: nGC_14723 = 1135
  integer, parameter :: nGC_9574 = 1136
  integer, parameter :: nGC_14721 = 1137
  integer, parameter :: nGC_9576 = 1138
  integer, parameter :: nGC_14644 = 1139
  integer, parameter :: nGC_13968 = 1140
  integer, parameter :: nGC_14003 = 1141
  integer, parameter :: nGC_16043 = 1142
  integer, parameter :: nGC_16044 = 1143
  integer, parameter :: nGC_16045 = 1144
  integer, parameter :: nGC_16046 = 1145
  integer, parameter :: nGC_14005 = 1146
  integer, parameter :: nGC_14130 = 1147
  integer, parameter :: nGC_14307 = 1148
  integer, parameter :: nGC_14308 = 1149
  integer, parameter :: nGC_18013 = 1150
  integer, parameter :: nGC_9566 = 1151
  integer, parameter :: nGC_9567 = 1152
  integer, parameter :: nGC_9564 = 1153
  integer, parameter :: nGC_9562 = 1154
  integer, parameter :: nGC_9563 = 1155
  integer, parameter :: nGC_13994 = 1156
  integer, parameter :: nGC_14998 = 1157
  integer, parameter :: nGC_9447 = 1158
  integer, parameter :: nGC_21281 = 1159
  integer, parameter :: nGC_9441 = 1160
  integer, parameter :: nGC_15782 = 1161
  integer, parameter :: nGC_14094 = 1162
  integer, parameter :: nGC_14711 = 1163
  integer, parameter :: nGC_15140 = 1164
  integer, parameter :: nGC_13971 = 1165
  integer, parameter :: nGC_9608 = 1166
  integer, parameter :: nGC_14018 = 1167
  integer, parameter :: nGC_9449 = 1168
  integer, parameter :: nGC_13979 = 1169
  integer, parameter :: nGC_9600 = 1170
  integer, parameter :: nGC_15706 = 1171
  integer, parameter :: nGC_9604 = 1172
  integer, parameter :: nGC_14377 = 1173
  integer, parameter :: nGC_15762 = 1174
  integer, parameter :: nGC_15763 = 1175
  integer, parameter :: nGC_15764 = 1176
  integer, parameter :: nGC_15765 = 1177
  integer, parameter :: nGC_9522 = 1178
  integer, parameter :: nGC_16268 = 1179
  integer, parameter :: nGC_16269 = 1180
  integer, parameter :: nGC_21401 = 1181
  integer, parameter :: nGC_15915 = 1182
  integer, parameter :: nGC_15914 = 1183
  integer, parameter :: nGC_14147 = 1184
  integer, parameter :: nGC_14146 = 1185
  integer, parameter :: nGC_15854 = 1186
  integer, parameter :: nGC_21483 = 1187
  integer, parameter :: nGC_14141 = 1188
  integer, parameter :: nGC_9599 = 1189
  integer, parameter :: nGC_14661 = 1190
  integer, parameter :: nGC_9611 = 1191
  integer, parameter :: nGC_9612 = 1192
  integer, parameter :: nGC_9613 = 1193
  integer, parameter :: nGC_9597 = 1194
  integer, parameter :: nGC_9596 = 1195
  integer, parameter :: nGC_9595 = 1196
  integer, parameter :: nGC_9594 = 1197
  integer, parameter :: nGC_14361 = 1198
  integer, parameter :: nGC_9561 = 1199
  integer, parameter :: nGC_9591 = 1200
  integer, parameter :: nGC_16271 = 1201
  integer, parameter :: nGC_16270 = 1202
  integer, parameter :: nGC_9427 = 1203
  integer, parameter :: nGC_14448 = 1204
  integer, parameter :: nGC_9590 = 1205
  integer, parameter :: nGC_22241 = 1206
  integer, parameter :: nGC_14447 = 1207
  integer, parameter :: nGC_14561 = 1208
  integer, parameter :: nGC_9589 = 1209
  integer, parameter :: nGC_15568 = 1210
  integer, parameter :: nGC_15569 = 1211
  integer, parameter :: nGC_14569 = 1212
  integer, parameter :: nGC_9585 = 1213
  integer, parameter :: nGC_14058 = 1214
  integer, parameter :: nGC_16242 = 1215
  integer, parameter :: nGC_14920 = 1216
  integer, parameter :: nGC_15831 = 1217
  integer, parameter :: nGC_15832 = 1218
  integer, parameter :: nGC_15833 = 1219
  integer, parameter :: nGC_9342 = 1220
  integer, parameter :: nGC_16570 = 1221
  integer, parameter :: nGC_16571 = 1222
  integer, parameter :: nGC_14281 = 1223
  integer, parameter :: nGC_15143 = 1224
  integer, parameter :: nGC_15571 = 1225
  integer, parameter :: nGC_15570 = 1226
  integer, parameter :: nGC_22392 = 1227
  integer, parameter :: nGC_14183 = 1228
  integer, parameter :: nGC_14182 = 1229
  integer, parameter :: nGC_14224 = 1230
  integer, parameter :: nGC_16935 = 1231
  integer, parameter :: nGC_19632 = 1232
  integer, parameter :: nGC_16096 = 1233
  integer, parameter :: nGC_15296 = 1234
  integer, parameter :: nGC_21282 = 1235
  integer, parameter :: nGC_9524 = 1236
  integer, parameter :: nGC_22239 = 1237
  integer, parameter :: nGC_9409 = 1238
  integer, parameter :: nGC_9408 = 1239
  integer, parameter :: nGC_9588 = 1240
  integer, parameter :: nGC_14950 = 1241
  integer, parameter :: nGC_9400 = 1242
  integer, parameter :: nGC_15060 = 1243
  integer, parameter :: nGC_9487 = 1244
  integer, parameter :: nGC_16098 = 1245
  integer, parameter :: nGC_14425 = 1246
  integer, parameter :: nGC_14426 = 1247
  integer, parameter :: nGC_14427 = 1248
  integer, parameter :: nGC_15834 = 1249
  integer, parameter :: nGC_15733 = 1250
  integer, parameter :: nGC_21611 = 1251
  integer, parameter :: nGC_15414 = 1252
  integer, parameter :: nGC_14724 = 1253
  integer, parameter :: nGC_14378 = 1254
  integer, parameter :: nGC_14428 = 1255
  integer, parameter :: nGC_14006 = 1256
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
