!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_9263) = 4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_9153) = -2d0*cima*ee**2d0
      coupl(nGC_68) = -ee**2d0/(2d0*sw)
      coupl(nGC_206) = cima/(2d0*cMW)
      coupl(nGC_101) = -cima*lam*vev/2d0
      coupl(nGC_9107) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_9102) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_28) = -cima*ee**2d0/(2d0*sw**2d0) - cima*lam/2d0
      coupl(nGC_29) = -cima*ee**2d0/(2d0*sw**2d0) - cima*lam/2d0 - cima*ee**2d0&
                      /(2d0*cw**2d0)
      coupl(nGC_22) = -cima*lam/2d0
      coupl(nGC_23) = -cima*lam
      coupl(nGC_20) = -cima*gs**2d0
      coupl(nGC_21) = cima*gs**2d0
      coupl(nGC_26) = cima*ee**2d0/(4d0*sw**2d0) - cima*lam/2d0
      coupl(nGC_27) = cima*ee**2d0/(4d0*sw**2d0) - cima*lam/2d0 + cima*ee**2d0 &
                      /(4d0*cw**2d0)
      coupl(nGC_24) = -3d0*cima*lam/2d0
      coupl(nGC_25) = -cima*ee**2d0/(4d0*sw**2d0) - cima*lam - cima*ee**2d0/(  &
                      4d0*cw**2d0)
      coupl(nGC_150) = sqrt(2d0)*yup/2d0
      coupl(nGC_9272) = 4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_93) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 - cima&
                      *ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_9271) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_9276) = -cima*ee/(2d0*sw**2d0)
      coupl(nGC_9277) = ee/(2d0*sw)
      coupl(nGC_92) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/2d0 - &
                      cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_43) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_9074) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_90) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_148) = cima*yup
      coupl(nGC_9294) = 2d0*cima*cw*ee/sw**2d0
      coupl(nGC_9295) = -2d0*cima*ee/sw
      coupl(nGC_9296) = 2d0*cima*ee
      coupl(nGC_9297) = 2d0*cima*ee**2d0
      coupl(nGC_9290) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_9291) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_9292) = -2d0*cima*ee
      coupl(nGC_9293) = -2d0*cima*cw*ee/sw
      coupl(nGC_118) = cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/(  &
                       4d0*cw)
      coupl(nGC_9196) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_9193) = -sqrt(2d0)*cima/2d0
      coupl(nGC_124) = -cima*yb
      coupl(nGC_125) = -sqrt(2d0)*yb/2d0
      coupl(nGC_122) = -cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0* &
                       vev - cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_123) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*  &
                       vev + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_120) = cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/(  &
                       2d0*cw)
      coupl(nGC_128) = -sqrt(2d0)*cima*yc/2d0
      coupl(nGC_129) = sqrt(2d0)*yc/2d0
      coupl(nGC_9106) = cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_8352) = coupl(nGC_20) - coupl(nGC_21)
      coupl(nGC_8356) = -coupl(nGC_20) - coupl(nGC_21)
      coupl(nGC_8354) = coupl(nGC_20) + coupl(nGC_21)
      coupl(nGC_75) = cima*cw*ee**2d0/sw
      coupl(nGC_9104) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_9105) = -cima*ee**2d0*vev/cw
      coupl(nGC_9100) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_9101) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_9103) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_9108) = 2d0*cima*cw*ee/sw
      coupl(nGC_97) = -ee**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_141) = -sqrt(2d0)*cima*ys/2d0
      coupl(nGC_I) = cima
      coupl(nGC_69) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_140) = -sqrt(2d0)*ys/2d0
      coupl(nGC_65) = -2d0*cima*cw*ee/sw
      coupl(nGC_9221) = 2d0*cima*ee**2d0/sw
      coupl(nGC_9088) = -2d0*cima*ee/3d0
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_7) = -cima*ee**2d0
      coupl(nGC_6) = 2d0*cima*ee
      coupl(nGC_5) = -2d0*cima*ee
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -2d0*cima*ee**2d0
      coupl(nGC_8) = cima*ee**2d0
      coupl(nGC_48) = -cima*ee**2d0/sw**2d0
      coupl(nGC_49) = cima*ee**2d0/sw**2d0
      coupl(nGC_MI) = -cima
      coupl(nGC_53) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_52) = ee**2d0/(4d0*sw**2d0)
      coupl(nGC_51) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_50) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_57) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_56) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_55) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_54) = -cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_59) = -cima*ee/(2d0*sw)
      coupl(nGC_58) = -ee/(2d0*sw)
      coupl(nGC_9249) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_9248) = -2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_41) = cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
      coupl(nGC_9328) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_9082) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_9251) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_9195) = -4d0*cima*cw*ee**2d0/sw
      coupl(nGC_9253) = 4d0*cima*ee**2d0/sw**3d0
      coupl(nGC_9220) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_9145) = -ee**2d0/sw
      coupl(nGC_9146) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_9147) = -cima*ee**2d0/sw
      coupl(nGC_9304) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_127) = cima*yc
      coupl(nGC_9252) = -4d0*cima*ee**2d0/sw**2d0
      coupl(nGC_9092) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_9093) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**2d0*sw**3d0)
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_9095) = -sqrt(2d0)*cima/2d0
      coupl(nGC_9312) = ee**2d0/(2d0*cw**2d0)
      coupl(nGC_9194) = -3d0*cima/2d0
      coupl(nGC_96) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_46) = -cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_266) = -coupl(nGC_4)
      coupl(nGC_17) = -2d0*gs
      coupl(nGC_16) = ee**2d0/(2d0*cw)
      coupl(nGC_15) = cima*ee**2d0/(2d0*cw)
      coupl(nGC_14) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_13) = -ee**2d0/(2d0*cw)
      coupl(nGC_12) = ee**2d0/(4d0*cw**2d0)
      coupl(nGC_11) = -ee**2d0/(4d0*cw**2d0)
      coupl(nGC_10) = 2d0*cima*ee**2d0
      coupl(nGC_520) = -coupl(nGC_125)
      coupl(nGC_19) = cima*gs
      coupl(nGC_18) = -gs
      coupl(nGC_9109) = -2d0*cima*cw*ee/sw**2d0
      coupl(nGC_9111) = -cima*vev/2d0
      coupl(nGC_730) = -coupl(nGC_140)
      coupl(nGC_9184) = -sqrt(2d0)/2d0
      coupl(nGC_9185) = -sqrt(2d0)/2d0
      coupl(nGC_9181) = -sqrt(2d0)*cima/2d0
      coupl(nGC_9183) = -sqrt(2d0)*cima/2d0
      coupl(nGC_135) = -sqrt(2d0)*cima*ye/2d0
      coupl(nGC_134) = -sqrt(2d0)*ye/2d0
      coupl(nGC_137) = -sqrt(2d0)*ym/2d0
      coupl(nGC_136) = -cima*ym
      coupl(nGC_131) = -sqrt(2d0)*ydo/2d0
      coupl(nGC_130) = -cima*ydo
      coupl(nGC_138) = -sqrt(2d0)*cima*ym/2d0
      coupl(nGC_84) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(2d0*cw)
      coupl(nGC_MH) = -cMH**2d0*cima
      coupl(nGC_111) = cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_9131) = -cima*ee**2d0*vev/sw**2d0
      coupl(nGC_9130) = cima*ee**2d0*vev/sw**3d0
      coupl(nGC_9133) = -cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_9135) = cima*ee**2d0/(2d0*sw)
      coupl(nGC_9134) = cima*ee**2d0*vev/sw
      coupl(nGC_9137) = -cima*ee**2d0*vev/sw
      coupl(nGC_9136) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_9138) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_866) = -2d0*coupl(nGC_8)
      coupl(nGC_9129) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_116) = -cima*ee**2d0*vev/(2d0*sw**2d0) - cima*lam*vev/2d0 -    &
                       cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_2178) = -coupl(nGC_131)
      coupl(nGC_9172) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_9270) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_70) = cima*ee**2d0/(2d0*sw)
      coupl(nGC_44) = -ee**2d0/(4d0*sw**2d0)
      coupl(nGC_45) = -cima*ee**2d0/(4d0*sw**2d0)
      coupl(nGC_47) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_40) = cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
      coupl(nGC_42) = cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
      coupl(nGC_9250) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_9256) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_9257) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_9258) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_9259) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_9319) = -ee**2d0/(2d0*cw**2d0)
      coupl(nGC_9318) = ee**2d0/cw
      coupl(nGC_9097) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**2d0*sw**3d0)
      coupl(nGC_9094) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**3d0*sw**2d0)
      coupl(nGC_9311) = -ee**2d0/cw
      coupl(nGC_9310) = -cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_9099) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw &
                        **2d0)
      coupl(nGC_174) = cima*gs
      coupl(nGC_9317) = cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_9316) = -cima*ee**2d0/cw
      coupl(nGC_9187) = sqrt(2d0)/2d0
      coupl(nGC_9175) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                        2d0)
      coupl(nGC_9174) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0&
                        )/(cw**3d0*sw**2d0)
      coupl(nGC_9177) = sqrt(2d0)/2d0
      coupl(nGC_9176) = -sqrt(2d0)*cima/2d0
      coupl(nGC_9171) = -sqrt(2d0)/2d0
      coupl(nGC_9170) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw &
                        **2d0)
      coupl(nGC_9173) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**&
                        2d0)
      coupl(nGC_642) = -coupl(nGC_129)
      coupl(nGC_9179) = -sqrt(2d0)*cima/2d0
      coupl(nGC_9178) = -sqrt(2d0)/2d0
      coupl(nGC_9219) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_9243) = cima*ee**2d0/sw**2d0
      coupl(nGC_132) = -sqrt(2d0)*cima*ydo/2d0
      coupl(nGC_8370) = -coupl(nGC_20) + coupl(nGC_21)
      coupl(nGC_9240) = cima*ee**2d0/sw**3d0
      coupl(nGC_1016) = -coupl(nGC_137)
      coupl(nGC_9246) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_9245) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_139) = -cima*ys
      coupl(nGC_9244) = -cima*ee**2d0/sw**3d0
      coupl(nGC_9189) = -cima/2d0
      coupl(nGC_9084) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_133) = -cima*ye
      coupl(nGC_9081) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_9083) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_1824) = -2d0*coupl(nGC_48)
      coupl(nGC_9278) = -ee/(2d0*sw**2d0)
      coupl(nGC_9326) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_9247) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_9322) = -gs
      coupl(nGC_99) = -cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_98) = ee**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_95) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_94) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 - cima&
                      *ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_91) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0/2d0 - &
                      cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_9186) = -sqrt(2d0)*cima/2d0
      coupl(nGC_74) = -cima*cw*ee**2d0/sw
      coupl(nGC_77) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_76) = -2d0*cima*cw*ee**2d0/sw
      coupl(nGC_71) = -cima*ee**2d0/sw
      coupl(nGC_73) = ee**2d0/sw
      coupl(nGC_72) = ee**2d0/(2d0*sw)
      coupl(nGC_9275) = cima*ee/(2d0*sw)
      coupl(nGC_79) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_78) = cima*ee*sw/(3d0*cw)
      coupl(nGC_100) = cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_102) = -3d0*cima*lam*vev/2d0
      coupl(nGC_103) = -ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_104) = -ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_105) = -cima*ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_106) = -cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_107) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_108) = ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_9320) = -2d0*gs
      coupl(nGC_9096) = -cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw&
                        **2d0)
      coupl(nGC_9128) = cima*ee**2d0*vev/sw**2d0
      coupl(nGC_9127) = -cima*ee**2d0*vev/sw**3d0
      coupl(nGC_9073) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_9321) = 2d0*cima*gs**2d0
      coupl(nGC_9182) = -4d0*cima*ee**2d0
      coupl(nGC_214) = 1d0/(2d0*cMZ)
      coupl(nGC_210) = -cima/(2d0*cMW)
      coupl(nGC_9079) = 2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_9298) = cima*ee**2d0/sw
      coupl(nGC_9299) = -cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_7186) = -2d0*coupl(nGC_21)
      coupl(nGC_9305) = 4d0*cima*ee**2d0
      coupl(nGC_9188) = -sqrt(2d0)*cima/2d0
      coupl(nGC_87) = cw*ee/(2d0*sw) + ee*sw/(2d0*cw)
      coupl(nGC_364) = -coupl(nGC_150)
      coupl(nGC_9301) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_39) = cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
      coupl(nGC_7176) = -coupl(nGC_21)
      coupl(nGC_31) = -cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
      coupl(nGC_30) = cima*ee**2d0/(2d0*sw**2d0) - cima*lam + cima*ee**2d0/(2d0&
                      *cw**2d0)
      coupl(nGC_33) = -cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
      coupl(nGC_32) = -cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
      coupl(nGC_35) = -cima*cw*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/(4d0*cw)
      coupl(nGC_37) = -cima*cw*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0/(2d0*cw)
      coupl(nGC_36) = cima*cw*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/(4d0*cw)
      coupl(nGC_144) = sqrt(2d0)*yt/2d0
      coupl(nGC_145) = -cima*ytau
      coupl(nGC_146) = -sqrt(2d0)*ytau/2d0
      coupl(nGC_9269) = cima*ee/(2d0*sw**2d0)
      coupl(nGC_9268) = -cima*ee/(2d0*sw)
      coupl(nGC_9300) = ee**2d0/sw
      coupl(nGC_9265) = cima*ee*sw/cw
      coupl(nGC_9264) = -4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_9267) = -cima*ee*sw/cw**2d0
      coupl(nGC_9266) = cima*ee/cw
      coupl(nGC_9261) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_149) = -sqrt(2d0)*cima*yup/2d0
      coupl(nGC_9069) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_9068) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_9067) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_9066) = cima*ee/3d0
      coupl(nGC_9075) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_9287) = cima*ee/sw
      coupl(nGC_9286) = -cima*cw*ee/sw**2d0
      coupl(nGC_9285) = cima*cw*ee/sw
      coupl(nGC_9284) = -cima*ee
      coupl(nGC_9283) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_9282) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_9289) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_9288) = cima*ee
      coupl(nGC_9148) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_119) = -cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/( &
                       2d0*cw)
      coupl(nGC_9080) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_9162) = -sqrt(2d0)*cima/2d0
      coupl(nGC_9167) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0&
                        )/(cw**2d0*sw**3d0)
      coupl(nGC_67) = -ee**2d0/sw
      coupl(nGC_9168) = -cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw &
                        **2d0)
      coupl(nGC_9169) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_9197) = -2d0*cima*ee**2d0/sw
      coupl(nGC_784) = 2d0*coupl(nGC_21)
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_61) = ee/(2d0*sw)
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_9192) = -sqrt(2d0)/2d0
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_117) = -cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/( &
                       4d0*cw)
      coupl(nGC_9262) = -4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_126) = -sqrt(2d0)*cima*yb/2d0
      coupl(nGC_81) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
      coupl(nGC_9117) = -3d0*cima*lam/2d0
      coupl(nGC_9116) = -3d0*cima*vev/2d0
      coupl(nGC_9115) = cima*ee**2d0/(2d0*cw)
      coupl(nGC_9113) = cima*ee**2d0*vev/cw
      coupl(nGC_9112) = -cima*lam/2d0
      coupl(nGC_9110) = 2d0*cima*ee/sw
      coupl(nGC_9118) = sqrt(2d0)/2d0
      coupl(nGC_109) = ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_3772) = -coupl(nGC_81)
      coupl(nGC_121) = -cima*cw**2d0*ee**2d0*vev/(4d0*sw**2d0) - cima*ee**2d0* &
                       vev/2d0 - cima*ee**2d0*sw**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_9308) = cima*ee**2d0/sw
      coupl(nGC_38) = cima*cw*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0/(2d0*cw)
      coupl(nGC_9114) = -cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_34) = -cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
      coupl(nGC_9309) = cima*ee**2d0/cw
      coupl(nGC_9098) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**3d0*sw**2d0)
      coupl(nGC_112) = -cima*ee**2d0*vev/sw
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_1110) = -coupl(nGC_10)
      coupl(nGC_9239) = -cima*ee**2d0/sw**2d0
      coupl(nGC_9132) = -cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_9260) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_88) = cima*cw*ee**2d0/(2d0*sw) - cima*ee**2d0*sw/(2d0*cw)
      coupl(nGC_89) = cima*cw*ee**2d0/sw - cima*ee**2d0*sw/cw
      coupl(nGC_80) = cima*ee*sw/cw
      coupl(nGC_82) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_83) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_85) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_86) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_9306) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_9307) = -cima*cw*ee**2d0/sw**2d0
      coupl(nGC_66) = 2d0*cima*cw*ee/sw
      coupl(nGC_64) = cima*cw*ee/sw
      coupl(nGC_147) = -sqrt(2d0)*cima*ytau/2d0
      coupl(nGC_62) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_63) = -cima*cw*ee/sw
      coupl(nGC_60) = cima*ee/(2d0*sw)
      coupl(nGC_9302) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_9327) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_115) = -cima*ee**2d0*vev/(2d0*sw**2d0) - cima*lam*vev/2d0
      coupl(nGC_9303) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_9236) = cima*ee*sw/(3d0*cw)
      coupl(nGC_9237) = cima*ee/(3d0*cw)
      coupl(nGC_114) = cima*ee**2d0*vev/(4d0*sw**2d0) - cima*lam*vev/2d0 + cima&
                       *ee**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_142) = cima*yt
      coupl(nGC_110) = -cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_113) = cima*ee**2d0*vev/(4d0*sw**2d0) - cima*lam*vev/2d0
      coupl(nGC_143) = -sqrt(2d0)*cima*yt/2d0
      coupl(nGC_9238) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_9180) = -sqrt(2d0)/2d0
      coupl(nGC_3558) = -coupl(nGC_59)
      coupl(nGC_1108) = coupl(nGC_10)/2d0
      coupl(nGC_2702) = -coupl(nGC_50)
      coupl(nGC_2700) = coupl(nGC_50)/2d0
      coupl(nGC_380) = -coupl(nGC_3)
      coupl(nGC_470) = -coupl(nGC_18)
      coupl(nGC_274) = -coupl(nGC_61)
      coupl(nGC_2038) = -coupl(nGC_85)
      coupl(nGC_334) = -coupl(nGC_146)
      coupl(nGC_2094) = -coupl(nGC_60)
      coupl(nGC_488) = -coupl(nGC_134)
      coupl(nGC_860) = -coupl(nGC_77)
      coupl(nGC_292) = -coupl(nGC_64)
      coupl(nGC_824) = -coupl(nGC_144)
      coupl(nGC_534) = -coupl(nGC_63)
      coupl(nGC_244) = -coupl(nGC_77)/2d0
    end subroutine fill_couplings_mdl1
end module fill_couplings1
