!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
      coupl(nGC_9687) = -cima*dytau_QED3
      coupl(nGC_9686) = -cima*dym_QED3
      coupl(nGC_9685) = -cima*dye_QED3
      coupl(nGC_GG) = cima*dt_QED1/vev
      coupl(nGC_9750) = -cima*dMTA_QED2
      coupl(nGC_9756) = -cima*dMT_QCD2
      coupl(nGC_14785) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_9758) = -cima*dMD_QCD2
      coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
      coupl(nGC_9765) = coupl(nGC_206)*dMW2_QED2
      coupl(nGC_9761) = -cima*dMB_QED2
      coupl(nGC_9763) = cima*dMZ2_QED2
      coupl(nGC_16300) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_9754) = -cima*dMC_QCD2
      coupl(nGC_9757) = -cima*dMD_QED2
      coupl(nGC_18339) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_9661) = cima*dyup_QED1_QCD2
      coupl(nGC_9663) = -cima*dydo_QED1_QCD2
      coupl(nGC_9662) = cima*dyup_QED3
      coupl(nGC_9665) = -cima*dys_QED1_QCD2
      coupl(nGC_9664) = -cima*dydo_QED3
      coupl(nGC_9666) = -cima*dys_QED3
      coupl(nGC_9669) = -cima*dyb_QED1_QCD2
      coupl(nGC_14256) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_14255) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_14254) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_14253) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_14252) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_14251) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_14258) = coupl(nGC_14254) + coupl(nGC_9758)
      coupl(nGC_9759) = -cima*dMS_QED2
      coupl(nGC_18918) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_16282) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_16281) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_19989) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_14910) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_14913) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_9693) = coupl(nGC_9193)*dytau_QED3
      coupl(nGC_9363) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_9366) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_14579) = coupl(nGC_19)*dZdR_QCD2
      coupl(nGC_9720) = coupl(nGC_9297)*dZee_QED2
      coupl(nGC_16278) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_16277) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_16276) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_16275) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_14172) = coupl(nGC_148)*dZdL_QCD2/2d0 + coupl(nGC_148)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9661)
      coupl(nGC_14176) = coupl(nGC_56)*dZZA_QED2/2d0
      coupl(nGC_14174) = coupl(nGC_148)*dZdL_QED2/2d0 + coupl(nGC_148)*        &
                         dZuR_QED2/2d0 + coupl(nGC_9662)
      coupl(nGC_14175) = coupl(nGC_96)*dZZA_QED2/2d0
      coupl(nGC_14178) = coupl(nGC_8)*dZAZ_QED2/2d0
      coupl(nGC_9748) = -cima*dME_QED2
      coupl(nGC_9749) = -cima*dMM_QED2
      coupl(nGC_9746) = -cima*dMH2_QED2
      coupl(nGC_14192) = coupl(nGC_19)*dZbR_QED2
      coupl(nGC_14193) = coupl(nGC_19)*dZbR_QCD2
      coupl(nGC_14194) = coupl(nGC_19)*dZbL_QED2
      coupl(nGC_14195) = coupl(nGC_19)*dZbL_QCD2
      coupl(nGC_14518) = coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
      coupl(nGC_14299) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_9415) = coupl(nGC_127)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9411) = coupl(nGC_124)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9419) = coupl(nGC_130)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_15056) = coupl(nGC_135)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_9381) = coupl(nGC_1)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_9676) = coupl(nGC_9185)*dys_QED3
      coupl(nGC_16331) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_16334) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_14177) = coupl(nGC_55)*dZZA_QED2/2d0
      coupl(nGC_9701) = coupl(nGC_9095)*dyup_QED3
      coupl(nGC_9706) = coupl(nGC_9153)*dZee_QED2
      coupl(nGC_17083) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_17080) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_14578) = coupl(nGC_19)*dZdR_QED2
      coupl(nGC_18914) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_18915) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_21279) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_9678) = coupl(nGC_9171)*dyb_QED3
      coupl(nGC_9679) = coupl(nGC_9179)*dydo_QED1_QCD2
      coupl(nGC_9674) = coupl(nGC_9178)*dydo_QED3
      coupl(nGC_9672) = cima*dyt_QED3
      coupl(nGC_18919) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_9670) = -cima*dyb_QED3
      coupl(nGC_14302) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_9709) = coupl(nGC_9136)*dsw_QED2 + coupl(nGC_9137)*dZee_QED2 + &
                        coupl(nGC_9138)*dvev_QED1
      coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
      coupl(nGC_9739) = coupl(nGC_9249)*dZee_QED2 + coupl(nGC_9250)*dsw_QED2 + &
                        coupl(nGC_9251)*dcw_QED2
      coupl(nGC_9689) = coupl(nGC_9184)*dym_QED3
      coupl(nGC_16975) = coupl(nGC_138)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_9727) = coupl(nGC_9256)*dZee_QED2 + coupl(nGC_9257)*dsw_QED2 + &
                        coupl(nGC_9258)*dcw_QED2
      coupl(nGC_21280) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_9370) = cMS*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9751) = -cima*dMU_QED2
      coupl(nGC_9354) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9357) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9587) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9378) = coupl(nGC_19)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_9633) = coupl(nGC_9318)*dZee_QED2 + coupl(nGC_9319)*dcw_QED2
      coupl(nGC_9630) = cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_9631) = -3d0*cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
      coupl(nGC_9638) = coupl(nGC_9194)*dlam_QED4
      coupl(nGC_9639) = coupl(nGC_9189)*dlam_QED4
      coupl(nGC_15346) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_15347) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_9732) = coupl(nGC_9172)*dsw_QED2 + coupl(nGC_9173)*dZee_QED2 + &
                        coupl(nGC_9174)*dcw_QED2 + coupl(nGC_9175)*dvev_QED1
      coupl(nGC_9731) = coupl(nGC_9099)*dZee_QED2 + coupl(nGC_9100)*dsw_QED2 + &
                        coupl(nGC_9101)*dcw_QED2
      coupl(nGC_9730) = coupl(nGC_9102)*dZee_QED2 + coupl(nGC_9103)*dsw_QED2 + &
                        coupl(nGC_9104)*dcw_QED2
      coupl(nGC_9737) = coupl(nGC_174)*dZgs_QCD2
      coupl(nGC_9735) = coupl(nGC_9088)*dZee_QED2
      coupl(nGC_14024) = coupl(nGC_19)*dZuR_QCD2
      coupl(nGC_14025) = coupl(nGC_19)*dZuL_QED2
      coupl(nGC_14027) = coupl(nGC_19)*dZg_QCD2/2d0 + coupl(nGC_9737)
      coupl(nGC_9421) = coupl(nGC_148)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_14023) = coupl(nGC_19)*dZuR_QED2
      coupl(nGC_14028) = coupl(nGC_14024) + coupl(nGC_14027)
      coupl(nGC_17478) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_15496) = coupl(nGC_19)*dZsR_QCD2
      coupl(nGC_19630) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_19631) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_14802) = coupl(nGC_22)*dZH_QED2 + coupl(nGC_9639) + coupl(     &
                         nGC_HHGG)
      coupl(nGC_16568) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_78)*dZZA_QED2/2d0
      coupl(nGC_16564) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_16561) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_9643) = coupl(nGC_9145)*dZee_QED2 + coupl(nGC_9146)*dsw_QED2
      coupl(nGC_14237) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_14238) = -coupl(nGC_14237)
      coupl(nGC_18768) = coupl(nGC_9746) + coupl(nGC_MH)*dZH_QED2
      coupl(nGC_14335) = coupl(nGC_125)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_14336) = coupl(nGC_125)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_9667) = cima*dyc_QED1_QCD2
      coupl(nGC_18765) = coupl(nGC_I)*dZH_QED2
      coupl(nGC_9640) = -cima*dlam_QED4
      coupl(nGC_14347) = coupl(nGC_136)*dZmuMinusR_QED2/2d0 + coupl(nGC_136)*  &
                         dZnu_muL_QED2/2d0 + coupl(nGC_9686)
      coupl(nGC_14340) = coupl(nGC_14335) + coupl(nGC_9678)
      coupl(nGC_9752) = -cima*dMU_QCD2
      coupl(nGC_9680) = coupl(nGC_9179)*dydo_QED3
      coupl(nGC_14138) = coupl(nGC_141)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_9465) = coupl(nGC_150)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_15122) = coupl(nGC_128)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_15121) = coupl(nGC_128)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_9548) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_139)**2d0 + coupl(nGC_140)*coupl(nGC_730) + coupl( &
                        nGC_141)**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9543) = -coupl(nGC_19)*sq2*(-coupl(nGC_127)**2d0 - coupl(      &
                        nGC_128)**2d0 - coupl(nGC_129)*coupl(nGC_642) - 4d0*   &
                        coupl(nGC_2)**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi** &
                        2d0)
      coupl(nGC_9586) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9545) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_139)**2d0 - coupl(nGC_140)*coupl(nGC_730) - coupl( &
                        nGC_141)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0* &
                        Nc)
      coupl(nGC_9753) = -cima*dMC_QED2
      coupl(nGC_9541) = -coupl(nGC_19)*sq2*(coupl(nGC_127)**2d0 + coupl(nGC_128&
                        )**2d0 + coupl(nGC_129)*coupl(nGC_642) + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_21276) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_9453) = coupl(nGC_19)**2d0*coupl(nGC_730)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_14137) = coupl(nGC_141)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_15636) = coupl(nGC_144)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_15635) = coupl(nGC_144)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_9668) = cima*dyc_QED3
      coupl(nGC_9764) = cima*dMW2_QED2
      coupl(nGC_9766) = coupl(nGC_210)*dMW2_QED2
      coupl(nGC_9760) = -cima*dMS_QCD2
      coupl(nGC_17635) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_9762) = -cima*dMB_QCD2
      coupl(nGC_15497) = coupl(nGC_19)*dZsL_QED2
      coupl(nGC_14580) = coupl(nGC_14027) + coupl(nGC_14579)
      coupl(nGC_18912) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_16929) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_14576) = coupl(nGC_19)*dZdL_QED2
      coupl(nGC_16926) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_14061) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_14570) = coupl(nGC_149)*dZH_QED2/2d0 + coupl(nGC_9701)
      coupl(nGC_14577) = coupl(nGC_19)*dZdL_QCD2
      coupl(nGC_15495) = coupl(nGC_19)*dZsR_QED2
      coupl(nGC_9675) = coupl(nGC_9185)*dys_QED1_QCD2
      coupl(nGC_9508) = coupl(nGC_19)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_15004) = coupl(nGC_140)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_15007) = -coupl(nGC_15004) - coupl(nGC_9675)
      coupl(nGC_19992) = coupl(nGC_9763) + coupl(nGC_MZ)*dZZ_QED2
      coupl(nGC_15003) = coupl(nGC_140)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_15498) = coupl(nGC_19)*dZsL_QCD2
      coupl(nGC_14063) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_14277) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
      coupl(nGC_9617) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_14273) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_14279) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_9735)
      coupl(nGC_21275) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_15008) = coupl(nGC_15004) + coupl(nGC_9675)
      coupl(nGC_9438) = coupl(nGC_131)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9729) = coupl(nGC_9219)*dZee_QED2 + coupl(nGC_9220)*dsw_QED2 + &
                        coupl(nGC_9221)*dcw_QED2
      coupl(nGC_9755) = -cima*dMT_QED2
      coupl(nGC_15753) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_16986) = coupl(nGC_137)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_15759) = coupl(nGC_150)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_18913) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_9486) = coupl(nGC_141)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9671) = cima*dyt_QED1_QCD2
      coupl(nGC_14581) = coupl(nGC_14027) + coupl(nGC_14577)
      coupl(nGC_15351) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_15350) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_9480) = coupl(nGC_138)*(-coupl(nGC_137)**2d0 - coupl(nGC_138)**&
                        2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl( &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_9483) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_126) + cMC* &
                        coupl(nGC_128) + cMD*coupl(nGC_132) + cMS*coupl(nGC_141&
                        ) + cMT*coupl(nGC_143) + cMU*coupl(nGC_149))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_9485) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_127)*&
                        coupl(nGC_128)*coupl(nGC_139) - coupl(nGC_140)**2d0*   &
                        coupl(nGC_141) - coupl(nGC_141)**3d0 + 8d0*coupl(      &
                        nGC_141)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9484) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_127)*&
                        coupl(nGC_128)*coupl(nGC_139) - coupl(nGC_141)**3d0 -  &
                        coupl(nGC_141)*coupl(nGC_730)**2d0 + 8d0*coupl(nGC_141 &
                        )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9489) = coupl(nGC_143)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9335) = (-Nc*cMB**2d0*cima*coupl(nGC_124)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_142)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_127)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_139)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_130)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_148)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_127  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_139)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_124)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_142)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_130)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_148)**2d0 - cME**2d0*cima&
                        *coupl(nGC_133)**2d0 - cMM**2d0*cima*coupl(nGC_136)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_145)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_47) - cMZ**2d0*coupl(nGC_95) + 2d0*cima*    &
                        coupl(nGC_110)**2d0 + 2d0*cima*coupl(nGC_99)**2d0)/(   &
                        16d0*pi**2d0)
      coupl(nGC_9334) = cima*(Nc*coupl(nGC_124)**2d0 + Nc*coupl(nGC_127)**2d0  &
                         + Nc*coupl(nGC_130)**2d0 + Nc*coupl(nGC_139)**2d0 + Nc&
                        *coupl(nGC_142)**2d0 + Nc*coupl(nGC_148)**2d0 + coupl( &
                        nGC_133)**2d0 + coupl(nGC_136)**2d0 + coupl(nGC_145)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_9333) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_9332) = cMB*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9331) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_62)**2d0 - coupl( &
                        nGC_82)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9330) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_15525) = coupl(nGC_132)*dZH_QED2/2d0 + coupl(nGC_9680)
      coupl(nGC_15522) = coupl(nGC_132)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_15523) = coupl(nGC_132)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_19625) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_19624) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_19627) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_19626) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_18340) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_18343) = coupl(nGC_18340) + coupl(nGC_9749)
      coupl(nGC_18342) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_14536) = coupl(nGC_123)*dZZA_QED2/2d0
      coupl(nGC_9654) = coupl(nGC_9296)*dZee_QED2
      coupl(nGC_9655) = coupl(nGC_9288)*dZee_QED2
      coupl(nGC_9656) = coupl(nGC_9108)*dZee_QED2 + coupl(nGC_9109)*dsw_QED2 + &
                        coupl(nGC_9110)*dcw_QED2
      coupl(nGC_9657) = coupl(nGC_9293)*dZee_QED2 + coupl(nGC_9294)*dsw_QED2 + &
                        coupl(nGC_9295)*dcw_QED2
      coupl(nGC_9650) = coupl(nGC_9130)*dsw_QED2 + coupl(nGC_9131)*dZee_QED2 + &
                        coupl(nGC_9132)*dvev_QED1
      coupl(nGC_9651) = coupl(nGC_9133)*dsw_QED2 + coupl(nGC_9134)*dZee_QED2 + &
                        coupl(nGC_9135)*dvev_QED1
      coupl(nGC_9652) = coupl(nGC_9305)*dZee_QED2
      coupl(nGC_9653) = coupl(nGC_9292)*dZee_QED2
      coupl(nGC_9450) = (-coupl(nGC_1016)*coupl(nGC_137)**2d0 - coupl(nGC_1016 &
                        )*coupl(nGC_138)**2d0 + 8d0*coupl(nGC_137)*coupl(nGC_4 &
                        )**2d0 + 8d0*coupl(nGC_137)*coupl(nGC_80)*coupl(nGC_85 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_9658) = coupl(nGC_9322)*dZgs_QCD2
      coupl(nGC_9659) = coupl(nGC_9321)*dZgs_QCD2
      coupl(nGC_14002) = coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_16039) = coupl(nGC_78)*dZbR_QCD2
      coupl(nGC_19993) = -coupl(nGC_19989)
      coupl(nGC_14404) = coupl(nGC_129)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_14405) = coupl(nGC_129)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_9356) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(    &
                        nGC_82))/(8d0*pi**2d0)
      coupl(nGC_9423) = coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
      coupl(nGC_9470) = coupl(nGC_126)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_14814) = coupl(nGC_131)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_9473) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_141) - coupl(&
                        nGC_128)**3d0 - coupl(nGC_128)*coupl(nGC_129)**2d0 +   &
                        8d0*coupl(nGC_128)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_128)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9474) = coupl(nGC_128)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9475) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_132) - coupl(nGC_130)*&
                        coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_132)**3d0 -  &
                        coupl(nGC_132)*coupl(nGC_2178)**2d0 + 8d0*coupl(nGC_132&
                        )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_14813) = coupl(nGC_131)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_9477) = coupl(nGC_132)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9478) = coupl(nGC_135)*(-coupl(nGC_134)**2d0 - coupl(nGC_135)**&
                        2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl( &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_18452) = 3d0*coupl(nGC_18)*dZg_QCD2/2d0 + coupl(nGC_9658)
      coupl(nGC_14819) = -coupl(nGC_14813) - coupl(nGC_9674)
      coupl(nGC_15135) = coupl(nGC_83)*dZtL_QCD2
      coupl(nGC_9570) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_126)*   &
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127 &
                        )*coupl(nGC_128)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(     &
                        nGC_143)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_148)*coupl(nGC_149)*coupl(nGC_62) - 4d0*Nc*cima*  &
                        coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_62&
                        ) + Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_2)*&
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(      &
                        nGC_132)*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl&
                        (nGC_139)*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_62) +  &
                        Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_2)*    &
                        coupl(nGC_62) + Nc*cima*coupl(nGC_148)*coupl(nGC_149)* &
                        coupl(nGC_2)*coupl(nGC_62) + 6d0*cima*coupl(nGC_1108)* &
                        coupl(nGC_69) + cima*coupl(nGC_133)*coupl(nGC_135)*    &
                        coupl(nGC_4)*coupl(nGC_62) + cima*coupl(nGC_136)*coupl(&
                        nGC_138)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(  &
                        nGC_14)*coupl(nGC_74) + cima*coupl(nGC_145)*coupl(     &
                        nGC_147)*coupl(nGC_4)*coupl(nGC_62) + 6d0*coupl(nGC_14 &
                        )*coupl(nGC_380)*coupl(nGC_64) + 6d0*coupl(nGC_3)*coupl&
                        (nGC_380)*coupl(nGC_69))/(48d0*pi**2d0)
      coupl(nGC_9572) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(    &
                        nGC_2)**4d0 - 2d0*cima*coupl(nGC_3)**4d0 - 2d0*cima*   &
                        coupl(nGC_380)**4d0 + 2d0*cima*coupl(nGC_4)**4d0 + cima&
                        *coupl(nGC_9)**2d0 + 2d0*coupl(nGC_3)**2d0*coupl(nGC_9 &
                        ) + 2d0*coupl(nGC_380)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
